Package io.vertx.rxjava3.openapi.validation

## Interface Parameter

- All Superinterfaces:
    `io.vertx.lang.rx.RxDelegate`
  All Known Implementing Classes:
    `RequestParameter`, `ResponseParameter`

      public interface Parameter
      extends io.vertx.lang.rx.RxDelegate

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `get()` |
    `Boolean` | `getBoolean()` |
    `Boolean` | `getBoolean​(Boolean defaultValue)` |
    `Buffer` | `getBuffer()` |
    `Buffer` | `getBuffer​(Buffer defaultValue)` |
    `Parameter` | `getDelegate()` |
    `Double` | `getDouble()` |
    `Double` | `getDouble​(Double defaultValue)` |
    `Float` | `getFloat()` |
    `Float` | `getFloat​(Float defaultValue)` |
    `Integer` | `getInteger()` |
    `Integer` | `getInteger​(Integer defaultValue)` |
    `JsonArray` | `getJsonArray()` |
    `JsonArray` | `getJsonArray​(JsonArray defaultValue)` |
    `JsonObject` | `getJsonObject()` |
    `JsonObject` | `getJsonObject​(JsonObject defaultValue)` |
    `Long` | `getLong()` |
    `Long` | `getLong​(Long defaultValue)` |
    `String` | `getString()` |
    `String` | `getString​(String defaultValue)` |
    `boolean` | `isBoolean()` |
    `boolean` | `isBuffer()` |
    `boolean` | `isEmpty()` |
    `boolean` | `isJsonArray()` |
    `boolean` | `isJsonObject()` |
    `boolean` | `isNull()` |
    `boolean` | `isNumber()` |
    `boolean` | `isString()` |
    `static Parameter` | `newInstance​(Parameter arg)` |

- - ### Method Detail

    - #### getDelegate

          Parameter getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### getString

          String getString()

      Returns:
        null if value is not a `String`, otherwise it returns value

    - #### getString

          String getString​(String defaultValue)

      Parameters:
        `defaultValue` -
      Returns:
        the default if value is not a `String` or is null, otherwise it returns the value.

    - #### isString

          boolean isString()

      Returns:
        true if value of this instance is a `String` instance

    - #### getInteger

          Integer getInteger()

      Returns:
        null if value is not a `Number`, otherwise it returns value as `Integer`

    - #### getInteger

          Integer getInteger​(Integer defaultValue)

      Parameters:
        `defaultValue` -
      Returns:
        the default supplied if value is not a `Number` or is null, otherwise it returns the value.

    - #### getLong

          Long getLong()

      Returns:
        null if value is not a `Number`, otherwise it returns value as `Long`

    - #### getLong

          Long getLong​(Long defaultValue)

      Parameters:
        `defaultValue` -
      Returns:
        the default supplied if value is not a `Number` or is null, otherwise it returns the value.

    - #### getFloat

          Float getFloat()

      Returns:
        null if value is not a `Number`, otherwise it returns value as `Float`

    - #### getFloat

          Float getFloat​(Float defaultValue)

      Parameters:
        `defaultValue` -
      Returns:
        the default supplied if value is not a `Number` or is null, otherwise it returns the value.

    - #### getDouble

          Double getDouble()

      Returns:
        null if value is not a `Number`, otherwise it returns value as `Double`

    - #### getDouble

          Double getDouble​(Double defaultValue)

      Parameters:
        `defaultValue` -
      Returns:
        the default supplied if value is not a `Number` or is null, otherwise it returns the value.

    - #### isNumber

          boolean isNumber()

      Returns:
        true if value of this instance is a `Number` instance

    - #### getBoolean

          Boolean getBoolean()

      Returns:
        null if value is not a `Boolean`, otherwise it returns value

    - #### getBoolean

          Boolean getBoolean​(Boolean defaultValue)

      Parameters:
        `defaultValue` -
      Returns:
        the default supplied if value is not a `Boolean` or is null, otherwise it returns the value.

    - #### isBoolean

          boolean isBoolean()

      Returns:
        true if value of this instance is a `Boolean` instance

    - #### getJsonObject

          JsonObject getJsonObject()

      Returns:
        null if value is not a , otherwise it returns value

    - #### getJsonObject

          JsonObject getJsonObject​(JsonObject defaultValue)

      Parameters:
        `defaultValue` -
      Returns:
        the default supplied if value is not a or is null, otherwise it returns the value.

    - #### isJsonObject

          boolean isJsonObject()

      Returns:
        true if value of this instance is a instance

    - #### getJsonArray

          JsonArray getJsonArray()

      Returns:
        null if value is not a , otherwise it returns value

    - #### getJsonArray

          JsonArray getJsonArray​(JsonArray defaultValue)

      Parameters:
        `defaultValue` -
      Returns:
        the default supplied if value is not a or is null, otherwise it returns the value.

    - #### isJsonArray

          boolean isJsonArray()

      Returns:
        true if value of this instance is a instance

    - #### getBuffer

          Buffer getBuffer()

      Returns:
        null if value is not a , otherwise it returns value

    - #### getBuffer

          Buffer getBuffer​(Buffer defaultValue)

      Parameters:
        `defaultValue` -
      Returns:
        the default suppliedif value is not a or is null, otherwise it returns the value.

    - #### isBuffer

          boolean isBuffer()

      Returns:
        true if value of this instance is a instance

    - #### isNull

          boolean isNull()

      Returns:
        true if value is null

    - #### isEmpty

          boolean isEmpty()

      Returns:
        true if it's an empty `String`, an empty / , an empty or it's null

    - #### get

          Object get()

      Returns:
        the plain value

    - #### newInstance

          static Parameter newInstance​(Parameter arg)